<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row class="pl-6 pr-6">
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue"
          to="/internal/sesari"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">SESARI</span><br />
                <span class="text-h6"
                  >Sentuhan Rasa Sri Marheni</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="deep-orange"
          to="/internal/jin_tomang"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">JIN TOMANG</span><br />
                <span class="text-h6"
                  >Jalan-jalan Inspiratif Temani Ibu Komang</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="purple"
          to="/internal/notip"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">NOTIP</span><br />
                <span class="text-h6"
                  >Monitoring dan Investigasi Pejabat dan Pegawai</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="orange"
          to="/internal/simdak"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">SIMDAK</span><br />
                <span class="text-h6"
                  >Sistem Informasi Managemen Data Kediklatan</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="teal"
          to="/internal/tpki"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">TPKI</span><br />
                <span class="text-h6"
                  >Tim Pengawasan Kinerja Internal</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue-grey"
          to="/internal/tpke"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">TPKE</span><br />
                <span class="text-h6"
                  >Tim Pengawasan Kinerja Eksternal</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
      
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="green darken-4"
          to="/internal/smart"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">SMART</span><br />
                <span class="text-h6"
                  >Sistem Managemen Aplikasi Surat</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="green"
          to="/internal/kantinku"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">KantinKu</span><br />
                <span class="text-h6"
                  >Layanan Kantin</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="red"
          to="/internal/absensi"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">Absensi</span><br />
                <span class="text-h6"
                  >Absensi Untuk Pegawai Kanwil Kemenag Provinsi Bali</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

    </v-row>
  </div>
</template>

<script>
export default {
  name: "internal",
  components: {},
  data: () => ({
    height: 200,
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Internal",
        disabled: true,
        href: "simanis",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "Layanan Internal");
  },
  methods: {
    open_breadcum() {
      this.$router.back();
    },
    jin_tomang() {
      this.$store.dispatch('constant/set_title', 'JIN TOMANG')
      this.$router.push(`/internal/jin_tomang`);
    },
    sesari() {
      this.$store.dispatch('constant/set_title', 'SESARI')
      this.$router.push(`/internal/sesari`);
    },
    notip() {
      this.$store.dispatch('constant/set_title', 'NOTIP')
      this.$router.push(`/internal/notip`);
    },
    simdak() {
      this.$store.dispatch('constant/set_title', 'SIMDAK')
      this.$router.push(`/internal/simdak`);
    },
    tpki() {
      this.$store.dispatch('constant/set_title', 'TPKI')
      this.$router.push(`/internal/tpki`);
    },
    tpke() {
      this.$store.dispatch('constant/set_title', 'TPKE')
      this.$router.push(`/internal/tpke`);
    },
    smart() {
      this.$store.dispatch('constant/set_title', 'SMART')
      this.$router.push(`/internal/smart`);
    },
    kantinku() {
      this.$store.dispatch('constant/set_title', 'KANTINKU')
      this.$router.push(`/internal/kantinku`);
    },
    absensi() {
      this.$store.dispatch('constant/set_title', 'ABSENSI')
      this.$router.push(`/internal/absensi`);
    },
  },
};
</script>

<style scoped>
</style>
